Subject: bug#22507: [bug-diffutils] bug#22507: diffutils releases

From: Bruce Dubbs <[email-masked]>
Date: Sun, 31 Jan 2016 19:04:45 -0600

Jim Meyering wrote:
> On Sun, Jan 31, 2016 at 1:23 PM, Bruce Dubbs <[email-masked]> wrote:
>> One of our users is complaining that he needs an updated diffutils. The
>> change is already in version control.  We can create a patch, but I'm
>> wondering if you know of any plans to do a new release of diffutils.  The
>> last release was three years ago.
>
> Hi Bruce,
> A diffutils release is definitely overdue, and is on my list.
> However, the list of open "issues" is in need of attention:
> http://debbugs.gnu.org/cgi/pkgreport.cgi?package=diffutils
>
> Once that list is in shape and most of its issues have been
> addressed, I can make a release in a day or so. Do you know
> anyone who would like to invest in the triage work?
> If no one steps up, I'll get to it eventually, after making
> an imminent grep release, and addressing the sed issues
> that are blocking its overdue release.

I will not be able to work in this until we get a new release of LFS out. 
  This will probably take a month.  We'll postpone changes to diff until 
the following release due in September.

Also, I do not have any expertise in non-Linux environments, so patches 
would need to be checked closely.

   -- Bruce